﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head><title>Certificate Management</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Certificate Management</h1>
        <h2 id="CertificateManagement-Overview">Overview</h2>
        <p>Saviynt Identity Governance and Administration (IGA)&#160;enables you to manage SSL certificates used for securing communication between IGA and connected applications from the IGA interface.&#160;You can import certificates, store them securely, monitor the certificates mapped to connections, and manage several aspects of the certificate lifecycle such as update, replace, and delete certificates. In addition, the certificates are continuously monitored for their expiration dates and notifications sent when the certificates are about to expire to prevent connection outages. Certificates are centrally managed from <strong>Certificate Management </strong>under <strong>Admin Functions</strong>. Additionally, you can use the <strong>Connection Parameters </strong>page to manage them.</p>
        <p>Certificates imported from the <strong>Connection Parameters</strong> page are automatically mapped with the connection using them. The mapping details are used for configuring expiry notifications so that appropriate users are notified about the certificate expiration in advance. For more information, see <MadCap:xref href="#CertMgmtSchlCertExpiEmailNoti">Scheduling the Certificate Expiry Email Notifications  </MadCap:xref>.</p>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <p class="note">You can import the certificate from any file but ensure that the content of the certificate is in the Base64 format. </p>
        </div>
        <p>For example:</p>
        <p><strong>-----BEGIN CERTIFICATE-----</strong>
        </p>
        <p>MIIDeTCCAmGgAwIBAgIQVsIUF+RKc7lGkz7Pt7XuSzANBgkqhkiG9w0BAQsFADBP</p>
        <p>..........</p>
        <p>..........</p>
        <p>XPKcA8+8EMDYNG+cdviqUghMFbKOK5znOivWtUo=</p>
        <p><strong>-----END CERTIFICATE-----</strong>
        </p>
        <h2 id="CertificateManagement-ManagingCertificatesfromtheConnectionParametersPage">Managing Certificates from the Connection Parameters Page</h2>
        <p>You can add, overwrite, and map a certificate to a connection using the <strong>Connection Parameters </strong>page. The certificates are added to the IGA trust store. If you are adding or updating a certificate, you must restart IGA for the change to take effect. It is possible to map a single certificate to multiple connections but a single connection cannot have multiple certificates mapped to it. &#160; </p>
        <h3 id="CertificateManagement-ImportingaCertificate">Importing a Certificate </h3>
        <ol>
            <li MadCap:conditions="Default.v55X">
                <p>Click <strong>Admin &gt; Identity Repository &gt; Connections </strong>and click a connection. The <strong>Add/Update Connection</strong> page is displayed. </p>
            </li>
            <li MadCap:conditions="Default.v2020X,Default.v2021X">
                <p>On the top right of the home page, click the <strong>Applications</strong> icon, and select <strong>Admin</strong>.</p>
            </li>
            <li MadCap:conditions="Default.v2021X,Default.v2020X">
                <p>Click the <strong>Menu</strong> icon.</p>
            </li>
            <li MadCap:conditions="Default.v2021X,Default.v2020X">
                <p>In the left pane, under <strong>Identity Repository</strong>, click <strong>Connections </strong>.</p>
            </li>
            <li MadCap:conditions="Default.v2020X,Default.v2021X">
                <p>Click a connection. The <strong>Add/Update Connection</strong> page is displayed. </p>
            </li>
            <li>
                <p>Click <strong>Add Certificate </strong>to import a certificate for the connection.</p>
            </li>
            <li>
                <p>Add a logical alias name to easily recognize the certificate in the trust store.</p>
            </li>
            <li>
                <p>Upload the certificate as a file or directly copy the content of the certificate.</p>
                <ol style="list-style-type: lower-alpha;" MadCap:continue="false">
                    <li>
                        <p>To upload a certificate as a file:</p>
                        <ol style="list-style-type: lower-roman;">
                            <li>
                                <p>Click <strong>Upload File</strong>.</p>
                            </li>
                            <li>
                                <p>Click <strong>Browse File </strong>to select the file that you want to import.</p>
                            </li>
                            <li>
                                <p>Select the file and click <strong>Open</strong>. <br />The name of the file is displayed. </p>
                            </li>
                            <li>
                                <p>(Optional) Click <strong>Show Certificate Details </strong>to check the details of the certificate (Certificate Detail, Subject, Certificate From, and Certificate To dates till when the certificate is valid). </p>
                            </li>
                            <li>
                                <p>If the certificate is valid, a message with certificate details is displayed.<br /><img src="../Resources/Images/Certificate_detail.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" /><br />Figure: Certificate Details<br /></p>
                            </li>
                            <li>
                                <p>Click <b>OK</b>.<br />Otherwise, a message indicating that the certificate is not valid is displayed.<br /></p>
                            </li>
                        </ol>
                    </li>
                    <li>
                        <p>To copy the content of the certificate:</p>
                        <ol style="list-style-type: lower-roman;">
                            <li>
                                <p>Click <b>CopyText</b> in <strong>Certificate Source</strong>.</p>
                            </li>
                            <li>
                                <p>Provide the content in the Copy Text Here text area.<br />Below is a sample content.</p>
                                <p><strong>-----BEGIN CERTIFICATE-----</strong>
                                </p>
                                <p>JKDIDCIIDeTCCAmGgAwIBAgIQVsIUF+RKc7lGkz7Pt7XuSzANBgkqhkiG9w0BAQsFADBP</p>
                                <p>MRUwEwYKCZImiZPyLGQBGRYFbG9jYWwxFjAUBgoJkiaJk/IsZAEZFgZtYWhlc2gx</p>
                                <p>..........</p>
                                <p>..........</p>
                                <p>e50QTfI6KW2Bqern/SCnN82XAkIwy7XVX2TUGkwGciGDHfipNEa4R7YeX9n22sXC</p>
                                <p>UIJDK8EMDYNG+cdv  iqUghMFbKOK5znOivWtUo=</p>
                                <p><strong>-----END CERTIFICATE-----</strong>
                                    <br />
                                </p>
                            </li>
                            <li>
                                <p>(Optional) Click <strong>Show Certificate Details</strong> to verify the details of the certificate (Certificate Detail, Subject, and the Certificate From and To dates till when the certificate is valid).</p>
                            </li>
                            <li>
                                <p>Click <b>OK</b>.</p>
                            </li>
                        </ol>
                    </li>
                    <li>
                        <p>Click <strong>Submit </strong>to create a certificate in the trust store with the added content. The certificate is displayed in <strong>Certificate List</strong></p>
                    </li>
                    <li>
                        <p>Restart IGA to view the certificate in the <strong>SSL Certificate</strong> drop-down list and in the <strong>Certificate Management</strong> page.</p>
                    </li>
                </ol>
            </li>
        </ol>
        <h3>Overwriting a Certificate</h3>
        <p>You can overwrite an existing certificate with a new certificate by either replacing the certificate or copying the content of the new certificate to the existing certificate.</p>
        <ol>
            <li MadCap:conditions="Default.v55X">
                <p>Click <strong>Admin &gt; Identity Repository &gt; Connections </strong>and click a connection. The <strong>Add/Update Connection</strong> page is displayed. </p>
            </li>
            <li MadCap:conditions="Default.v2020X,Default.v2021X">
                <p>On the top right of the home page, click the <strong>Applications</strong> icon, and select <strong>Admin</strong>.</p>
            </li>
            <li MadCap:conditions="Default.v2021X,Default.v2020X">
                <p>Click the <strong>Menu</strong> icon.</p>
            </li>
            <li MadCap:conditions="Default.v2021X,Default.v2020X">
                <p>In the left pane, under <strong>Identity Repository</strong>, click <strong>Connections </strong>.</p>
            </li>
            <li MadCap:conditions="Default.v2020X,Default.v2021X">
                <p>Click a connection. The <strong>Add/Update Connection</strong> page is displayed. </p>
            </li>
            <li>
                <p>Click <strong>Overwrite Existing</strong>.</p>
            </li>
            <li>
                <p>Select the certificate that you want to overwrite from the <strong>SSL Certificate</strong> drop-down list.</p>
                <ol style="list-style-type: lower-alpha;">
                    <li>
                        <p>Click <strong>Browse File </strong>to select the new certificate.</p>
                    </li>
                    <li>
                        <p>Select the file and click <strong>Open</strong>.<br />The newly selected certificate file is displayed.<br />Alternatively, select <strong>Copy Text </strong>and paste the content of the new certificate in the text area.</p>
                        <p>To copy to the content:</p>
                    </li>
                    <ol style="list-style-type: lower-roman;">
                        <li>
                            <p>Click <strong>Copy Text</strong> in <strong>Certificate Source</strong>.</p>
                        </li>
                        <li>
                            <p>Add the content in the <strong>Copy Text Here</strong> text area.<br />Below is a sample content.</p>
                            <p><strong>-----BEGIN CERTIFICATE-----</strong>
                            </p>
                            <p>JKDIDCIIDeTCCAmGgAwIBAgIQVsIUF+RKc7lGkz7Pt7XuSzANBgkqhkiG9w0BAQsFADBP</p>
                            <p>MRUwEwYKCZImiZPyLGQBGRYFbG9jYWwxFjAUBgoJkiaJk/IsZAEZFgZtYWhlc2gx</p>
                            <p>..........</p>
                            <p>..........</p>
                            <p>e50QTfI6KW2Bqern/SCnN82XAkIwy7XVX2TUGkwGciGDHfipNEa4R7YeX9n22sXC</p>
                            <p>UIJDK8EMDYNG+cdviqUghMFbKOK5znOivWtUo=</p>
                            <div><strong>-----END CERTIFICATE-----</strong>
                            </div>
                        </li>
                        <li>
                            <p>(Optional) Click <strong>Show Certificate Details </strong>to check the validity of the certificate.</p>
                        </li>
                        <li>
                            <p>Click <b>OK</b>.</p>
                        </li>
                    </ol>
                </ol>
            </li>
            <li>
                <p>Click <strong>Submit</strong> to overwrite the certificate with the new certificate.<br />The changes are saved in the trust store.</p>
            </li>
        </ol>
        <h3 id="CertificateManagement-MappingaCertificatetoaConnection">Mapping a Certificate to a Connection</h3>
        <ol>
            <li>
                <p>Click <strong>Identity Repository &gt; Connections </strong>and click a connection for which you want to map a certificate.<br />The <strong>Add/Update Connection parameters </strong>page is displayed.</p>
            </li>
            <li>
                <p>To select a certificate for mapping, click <strong>SSL Certificate</strong>.</p>
            </li>
            <li>
                <p>Select the certificate and click <strong>Save and Test Connection</strong>.<br />When the certificate is successfully mapped, a <strong>Connection was successful </strong>message is displayed.   </p>
            </li>
        </ol>
        <h2 id="CertificateManagement-ManagingCertificatesfromtheCertificationManagementPage">Managing Certificates from the Certification Management Page</h2>
        <p>You can import, update, delete, and monitor the status of certificates using <strong>Certificate Management</strong> from <strong>Admin Functions</strong>. The certificates are stored in the IGA trust store.</p>
        <p>When you click the <strong>Certificate Management </strong>option, it opens the <strong>Connection Parameters </strong>page that displays all the certificates that are imported through <strong>Certificate Management and Connection Parameters</strong>. If a certificate is mapped to a connection, it displays the name of the connection to which it is mapped to. Only those certificates that are imported via <strong>Certificate Management </strong>and<strong> Connection Parameters</strong> are displayed in this page. It does not display the certificates that are imported through other methods.</p>
        <h3 id="CertificateManagement-ImportingaCertificate.1">Importing a Certificate</h3>
        <ol>
            <li>
                <p>Click <strong>Certificate Management</strong> under <strong>Admin Functions</strong>.<br />The Certificate List page is displayed with a list of available certificates.<br /><img src="../Resources/Images/Certificate List page.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;height: 300px;width: 1200px;" /><br /></p>
                <p>Figure: Certificates Imported from IGA UI</p>
            </li>
            <li>
                <p>Click <strong>Import</strong>.<br />In the <strong>Create or Update Certificate </strong>pop-up window, provide a logical alias name to easily recognize the certificate in the trust store.</p>
            </li>
            <li>
                <p>Upload the certificate as a file or directly copy the content of the certificate.</p>
            </li>
        </ol>
        <ol style="list-style-type: lower-alpha;">
            <li>
                <p>To upload a certificate as a file:<br /></p>
                <ol style="list-style-type: lower-roman;">
                    <li>
                        <p>Click <strong>Upload File</strong>.</p>
                    </li>
                    <li>
                        <p>Click <strong>Choose File </strong>to select the file that you want to upload.</p>
                    </li>
                    <li>
                        <p>Select the file.</p>
                    </li>
                    <li>
                        <p>Click <b>Open</b>. <br />The name of the file is displayed next to the <b>Choose File</b> button.</p>
                    </li>
                    <li>
                        <p>(Optional) Click <strong>Show Certificate Details </strong>to check the details of the certificate (Certificate Detail, Subject, Certificate From, and Certificate To dates till when the certificate is valid).</p>
                    </li>
                    <li>
                        <p>Click <b>OK</b>.</p>
                    </li>
                </ol>
            </li>
            <li>
                <p>To copy the content of the certificate:<br /></p>
                <ol style="list-style-type: lower-roman;">
                    <li>
                        <p>Click <b>Copy Text</b> in <strong>Certificate Source</strong>.</p>
                    </li>
                    <li>
                        <p>Provide the content in the <strong>Copy Text Here</strong> text area.<br />Below is a sample content.</p>
                        <p><strong>-----BEGIN CERTIFICATE-----</strong>
                        </p>
                        <p>JKDIDCIIDeTCCAmGgAwIBAgIQVsIUF+RKc7lGkz7Pt7XuSzANBgkqhkiG9w0BAQsFADBP</p>
                        <p>MRUwEwYKCZImiZPyLGQBGRYFbG9jYWwxFjAUBgoJkiaJk/IsZAEZFgZtYWhlc2gx</p>
                        <p>..........</p>
                        <p>..........</p>
                        <p>e50QTfI6KW2Bqern/SCnN82XAkIwy7XVX2TUGkwGciGDHfipNEa4R7YeX9n22sXC</p>
                        <p>UIJDK8EMDYNG+cdviqUghMFbKOK5znOivWtUo=</p>
                        <p><strong>-----END CERTIFICATE-----</strong>
                            <br />
                        </p>
                    </li>
                    <li>
                        <p>(Optional) Click<strong> Show Certificate Details</strong> to verify the details of the certificate (Certificate Detail, Subject, and the Certificate From and To dates till when the certificate is valid).</p>
                    </li>
                    <li>Click <b>OK</b>.</li>
                    <li>
                        <p>Click <b>Submit</b> to create a certificate with the added content in the trust store. The certificate is displayed in <strong>Certificate List</strong>.</p>
                    </li>
                    <li>
                        <p>Click <b>OK</b>.<br />The <strong>Certificate List</strong> page includes the following columns that display the details of the certificates:</p>
                        <ul>
                            <li><strong>ALIAS</strong>: Displays the alias name of the certificate.</li>
                            <li>
                                <p><strong>CONNECTION</strong>: Displays the connection name to which the certificate is mapped. The <strong>Connection Name </strong>is displayed only for those certificates that are mapped with certificates. For certificates that are not mapped to any connection, the column is blank.</p>
                            </li>
                            <li>
                                <p><strong>ISSUERNAME</strong>: Displays the name of the CA that issued the certificate.</p>
                            </li>
                            <li>
                                <p><strong>SUBJECTNAME</strong>: Displays the Subject Name of the certificate.</p>
                            </li>
                            <li>
                                <p><strong>EXPIRYDATE</strong>: Displays the expiry date of the certificate. You must update the certificate before it expires to prevent connection outage.<br></br></p>
                            </li>
                            <li>
                                <p><strong>STATUS</strong>: Specifies whether the certificate is active, is expiring soon, or has expired. </p>
                                <ul style="list-style-type: circle;">
                                    <li><strong>Active</strong>: Indicates that the certificate is valid and can be used.</li>
                                    <li>
                                        <p><strong>Expired</strong>: Indicates that the certificate has expired. A connection with an expired certificate will not work. You must update the certificate if you want the connection to work.</p>
                                    </li>
                                    <li>
                                        <p><strong>Expiring Soon</strong>: Indicates that the certificate is about to expire. This status is calculated based on the number of days configured for notifying the expiry status in <strong>Global Configuration &gt; Preferences &gt; Days to notify before SSL Certificates expires</strong>. It alerts you to proactively obtain a new certificate or update the existing certificate before it expires if you want the connection to work.</p>
                                    </li>
                                </ul>
                            </li>
                            <li>
                                <p><strong>ACTION</strong>: Allows you to perform the following actions on certificates:</p>
                                <ul style="list-style-type: circle;">
                                    <li>
                                        <p><strong>Update</strong>: Updates the certificates. Use this option to update the certificates that are expiring soon or have expired. </p>
                                    </li>
                                    <li>
                                        <p><strong>Delete: </strong>Deletes the certificates. For example, certificates that are no longer used. Deleting a certificate mapped to a connection breaks the connection between IGA and the connected application.</p>
                                    </li>
                                </ul>
                                <p>After importing a certificate, you can map it to a connection using <strong>Connection Parameters.</strong></p>
                            </li>
                        </ul>
                    </li>
                </ol>
            </li>
        </ol>
        <h3 id="CertificateManagement-UpdatingaCertificate">Updating a Certificate</h3>
        <ol>
            <li>
                <p>Click <strong>Certificate Management </strong>under <strong>Admin Functions</strong>. The list of certificates is displayed. </p>
            </li>
            <li>
                <p>Click the <b>Update</b> icon in the <b>Action</b> column against the certificate that you want to update.<br />The <strong>Create or Update Certificate</strong> dialog box is displayed.</p>
            </li>
            <li>
                <p>Click <b>Choose File</b> and select the new certificate that you want the selected certificate to update to. <br />The selected certificate is displayed next to <b>Choose File</b>.</p>
            </li>
            <li>
                <p>Click <b>Submit</b>.</p>
            </li>
            <li>
                <p>The newly updated certificate with the alias name is displayed in the list with status as ‘<b>Active</b>’.</p>
            </li>
        </ol>
        <h3 id="CertificateManagement-DeletingaCertificate"><span class="inline-comment-marker">Deleting a Certificate</span>
        </h3>
        <ol>
            <li>
                <p> Click <strong>Certificate Management</strong> under <b>Admin Functions</b>.</p>
            </li>
            <li>
                <p>Click the <b>Delete</b> icon in the <b>Action</b> column against the certificate that you want to delete.<br />A confirmation message is displayed.</p>
            </li>
            <li>
                <p>Click <b>Yes</b> to delete the certificate.<br />The deleted certificate is no longer available in the certificate list and is removed from the trust store. </p>
            </li>
        </ol>
        <h2 id="CertificateManagement-SchedulingtheCertificateExpiryEmailNotifications"><a name="CertMgmtSchlCertExpiEmailNoti"></a>Scheduling the Certificate Expiry Email Notifications  </h2>
        <p>You can send email notification to users when a certificate is about to expire by configuring the <strong>SSL Certificate Expiry Notification </strong>analytical control.</p>
        <ul>
            <li>
                <p>For certificates mapped to any connection, the notification is sent to the members of the default SAV role assigned to that connection.</p>
            </li>
            <li>
                <p>For certificates that are not mapped to any connection, the notification is sent to the members of the ROLE_ADMIN SAV role.</p>
            </li>
        </ul>
        <p>The control internally checks for expiration details of the certificates and sends notification using the <strong>SSL Certificate Expiry Email </strong>default email template for the certificates that are about to expire. To configure the duration of time (in days) to send the email notification before a certificate expires, go to <strong>Global Configurations &gt; Preferences &gt; Days to notify before SSL Certificates expires.</strong></p>
        <p>To configure the certificate expiry email notification:</p>
        <ol>
            <li>
                <p>Click <strong>Admin &gt; Global Configurations &gt; Preferences</strong>. </p>
            </li>
            <li>
                <p>Specify the number of days prior to certificate expiry to send an email notification in <strong>Days to notify before SSL Certificates expires</strong>.</p>
            </li>
            <li>
                <p>Click <strong>Analytics &gt; Analytics Configuration List &gt; Version 2 </strong>and search for the default analytical control named <strong>SSL Certificate Expiry Notification</strong>.</p>
            </li>
            <li>
                <p>Click <strong>Schedule </strong>and set the analytical control to run daily. This is the recommended setting.</p>
            </li>
            <li>
                <p>Click <strong>Submit</strong>.</p>
            </li>
            <li>
                <p>To run the analytical control immediately, click <strong>Run &gt; Run Now</strong>.<br />The analytical control checks for certificates that are about to expire and sends out an email notification using the default email template, <strong>SSL Certificate Expiry Email</strong>.</p>
            </li>
        </ol>
    </body>
</html>